Package uk.ac.starlink.vo

## Class CapabilityTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - uk.ac.starlink.vo.CapabilityTableModel

-     public class CapabilityTableModel
      extends javax.swing.table.AbstractTableModel

  TableModel in which each row is a `RegCapabilityInterface`.
  Since:
    18 Dec 2008
  Author:
    Mark Taylor
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CapabilityTableModel​()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RegCapabilityInterface[]` | `getCapabilities​()` | Returns the data array for this table.
    `int` | `getColumnCount​()` |
    `java.lang.String` | `getColumnName​(int icol)` |
    `int` | `getRowCount​()` |
    `java.lang.Object` | `getValueAt​(int irow, int icol)` |
    `void` | `setCapabilities​(RegCapabilityInterface[] caps)` | Sets the data for this table.

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CapabilityTableModel

          public CapabilityTableModel​()

      Constructor.

  - ### Method Detail

    - #### getColumnCount

          public int getColumnCount​()

    - #### getRowCount

          public int getRowCount​()

    - #### getValueAt

          public java.lang.Object getValueAt​(int irow,
                                             int icol)

    - #### getColumnName

          public java.lang.String getColumnName​(int icol)

      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`

    - #### setCapabilities

          public void setCapabilities​(RegCapabilityInterface[] caps)

      Sets the data for this table.
      Parameters:
        `caps` - capability array

    - #### getCapabilities

          public RegCapabilityInterface[] getCapabilities​()

      Returns the data array for this table.
      Returns:
        capability array

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.